## spatialindex 1.8.5

=== CMakeLists.txt ===
#
# top-level CMake configuration file for PDAL
#
# (based originally on the libLAS files copyright Mateusz Loskot)

cmake_minimum_required(VERSION 2.6.0)
project(spatialindex)

#------------------------------------------------------------------------------
# internal cmake settings
#------------------------------------------------------------------------------

set(CMAKE_COLOR_MAKEFILE ON)

# Allow advanced users to generate Makefiles printing detailed commands
mark_as_advanced(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

if (CMAKE_MAJOR_VERSION GREATER 2)
    cmake_policy(SET CMP0042 OLD) # osx rpath
endif()
#------------------------------------------------------------------------------
# libspatialindex general settings
#------------------------------------------------------------------------------

SET(SIDX_VERSION_MAJOR "1")
SET(SIDX_VERSION_MINOR "8")
SET(SIDX_VERSION_PATCH "5")
SET(SIDX_LIB_VERSION "4.1.0")
SET(SIDX_LIB_SOVERSION "4")


set(SIDX_VERSION_STRING "${SIDX_VERSION_MAJOR}.${SIDX_VERSION_MINOR}.${SIDX_VERSION_PATCH}")


# Name of C++ library

set(SIDX_LIB_NAME spatialindex)
set(SIDX_C_LIB_NAME spatialindex_c)

if(WIN32)
  if (MSVC)
    if (MSVC80 OR MSVC90 OR MSVC10 OR MSVC11 OR MSVC12 OR MSVC13)
        if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
            set( SIDX_LIB_NAME "spatialindex-64" )
            set( SIDX_C_LIB_NAME "spatialindex_c-64" )
        else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
            set( SIDX_LIB_NAME "spatialindex-32"  )
            set( SIDX_C_LIB_NAME "spatialindex_c-32"  )
        endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
    endif()
  endif()
endif()


set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

include (CheckFunctionExists)

check_function_exists(srand48 HAVE_SRAND48)
check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists(memset HAVE_MEMSET)
check_function_exists(memcpy HAVE_MEMCPY)
check_function_exists(bcopy HAVE_BCOPY)

INCLUDE (CheckIncludeFiles)
check_include_files(pthread.h HAVE_PTHREAD_H)


if (HAVE_SRAND48)
    add_definitions(-DHAVE_SRAND48=1)
endif()

if (HAVE_GETTIMEOFDAY)
    add_definitions(-DHAVE_GETTIMEOFDAY=1)
endif()

if (HAVE_BZERO)
    add_definitions(-DHAVE_BZERO=1)
endif()

if (HAVE_MEMSET)
    add_definitions(-DHAVE_MEMSET=1)
endif()

if (HAVE_MEMCPY)
    add_definitions(-DHAVE_MEMCPY=1)
endif()

if (HAVE_BCOPY)
    add_definitions(-DHAVE_BCOPY=1)
endif()

if (HAVE_PTHREAD_H)
    add_definitions(-DHAVE_PTHREAD_H=1)
endif()

#------------------------------------------------------------------------------
# General build settings
#------------------------------------------------------------------------------

# note we default to debug mode
if(NOT MSVC_IDE)
  if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel" FORCE)
  endif()
  message(STATUS "Setting libspatialindex build type - ${CMAKE_BUILD_TYPE}")
endif()

set(SIDX_BUILD_TYPE ${CMAKE_BUILD_TYPE})

# TODO: Still testing the output paths --mloskot
set(SIDX_BUILD_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/bin")

# Output directory in which to build RUNTIME target files.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})

# Output directory in which to build LIBRARY target files
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})

# Output directory in which to build ARCHIVE target files.
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})


#------------------------------------------------------------------------------
# Platform and compiler specific settings
#------------------------------------------------------------------------------

if(WIN32)
  if (MSVC)
    if (MSVC80 OR MSVC90 OR MSVC10 OR MSVC11 OR MSVC12 OR MSVC13)
      add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
      add_definitions(-D_CRT_NONSTDC_NO_WARNING)
      add_definitions(-D_SCL_SECURE_NO_WARNINGS)
      add_definitions(-DSPATIALINDEX_CREATE_DLL=1)
      add_definitions(-DNOMINMAX)

      set(SIDX_COMPILER_MSVC 1)
    endif()

    if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
      string(REGEX REPLACE "/W[0-4]" "/W4"
        CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
    else()
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
    endif()
  endif()

  set(CMAKE_INCLUDE_PATH c:/osgeo4w/include;$ENV{CMAKE_INCLUDE_PATH})
  set(CMAKE_LIBRARY_PATH c:/osgeo4w/lib;$ENV{CMAKE_LIBRARY_PATH})

  set(SIDX_OS_WIN32 1)

else()
  # not WIN32

  # Recommended C++ compilation flags
  # -Weffc++
  set(SIDX_COMMON_CXX_FLAGS
    "-pedantic -Wall -Wpointer-arith -Wcast-align -Wcast-qual  -Wredundant-decls -Wno-long-long")

  if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)

    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SIDX_COMMON_CXX_FLAGS}")
    if (CMAKE_COMPILER_IS_GNUCXX)
      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98 -ansi")
    endif()

    set(SIDX_COMPILER_GCC 1)

  elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER}" MATCHES "clang")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SIDX_COMMON_CXX_FLAGS}")
    set(SIDX_COMPILER_CLANG 1)
  endif()
endif(WIN32)

if (APPLE)
  set(SO_EXT dylib)
  set(CMAKE_FIND_FRAMEWORK "LAST")
elseif(WIN32)
  set(SO_EXT dll)
else()
  set(SO_EXT so)
endif(APPLE)


#------------------------------------------------------------------------------
# installation path settings
#------------------------------------------------------------------------------

if(WIN32)
  set(DEFAULT_LIB_SUBDIR lib)
  set(DEFAULT_DATA_SUBDIR .)
  set(DEFAULT_INCLUDE_SUBDIR include)

  if (MSVC)
    set(DEFAULT_BIN_SUBDIR bin)
  else()
    set(DEFAULT_BIN_SUBDIR .)
  endif()
else()
  # Common locations for Unix and Mac OS X
  set(DEFAULT_BIN_SUBDIR bin)
  set(DEFAULT_LIB_SUBDIR lib${LIB_SUFFIX})
  set(DEFAULT_DATA_SUBDIR share/spatialindex)
  set(DEFAULT_INCLUDE_SUBDIR include)
endif()

# Locations are changeable by user to customize layout of SIDX installation
# (default values are platform-specific)
set(SIDX_BIN_SUBDIR ${DEFAULT_BIN_SUBDIR} CACHE STRING
  "Subdirectory where executables will be installed")
set(SIDX_LIB_SUBDIR ${DEFAULT_LIB_SUBDIR} CACHE STRING
  "Subdirectory where libraries will be installed")
set(SIDX_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
  "Subdirectory where header files will be installed")
set(SIDX_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
  "Subdirectory where data will be installed")

# Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
mark_as_advanced(SIDX_BIN_SUBDIR
  SIDX_LIB_SUBDIR SIDX_INCLUDE_SUBDIR SIDX_DATA_SUBDIR)

# Full paths for the installation
set(SIDX_BIN_DIR ${SIDX_BIN_SUBDIR})
set(SIDX_LIB_DIR ${SIDX_LIB_SUBDIR})
set(SIDX_INCLUDE_DIR ${SIDX_INCLUDE_SUBDIR})
set(SIDX_DATA_DIR ${SIDX_DATA_SUBDIR})

#------------------------------------------------------------------------------
# subdirectory controls
#------------------------------------------------------------------------------

add_subdirectory(src)
add_subdirectory(test)

=== src/CMakeLists.txt ===
###############################################################################
#
# src/CMakeLists.txt controls building of SIDX library
#
# Copyright (c) 2009 Mateusz Loskot <mateusz@loskot.net>
#
###############################################################################

###############################################################################
# Source files specification
#
# Naming format:
#   SIDX_CPP - all the .cpp files
#   SIDX_HPP - all the .hpp files
#   SIDX_<dirname>_CPP - all the .cpp files for the given subdir/namespace
#   ...

set(SIDX_HEADERS_DIR "${PROJECT_SOURCE_DIR}/include/spatialindex/")
set(SIDX_HEADERS_CAPI_DIR "${PROJECT_SOURCE_DIR}/include/spatialindex/capi")
set(SIDX_HPP "")
set(SIDX_CPP "")

set(SIDX_SRC_DIR "${PROJECT_SOURCE_DIR}/src")
set(SIDX_CAPI_DIR "${PROJECT_SOURCE_DIR}/src/capi")

#
# base
#
set(SIDX_BASE_HPP
  "${SIDX_HEADERS_DIR}/LineSegment.h"
  "${SIDX_HEADERS_DIR}/MovingPoint.h"
  "${SIDX_HEADERS_DIR}/MVRTree.h"
  "${SIDX_HEADERS_DIR}/Point.h"
  "${SIDX_HEADERS_DIR}/Region.h"
  "${SIDX_HEADERS_DIR}/RTree.h"
  "${SIDX_HEADERS_DIR}/SpatialIndex.h"
  "${SIDX_HEADERS_DIR}/TimePoint.h"
  "${SIDX_HEADERS_DIR}/TimeRegion.h"
  "${SIDX_HEADERS_DIR}/TPRTree.h"
  "${SIDX_HEADERS_DIR}/Version.h"
)
list (APPEND SIDX_HPP ${SIDX_BASE_HPP} )

set(SIDX_CAPI_HPP
  "${SIDX_HEADERS_CAPI_DIR}/BoundsQuery.h"
  "${SIDX_HEADERS_CAPI_DIR}/CountVisitor.h"
  "${SIDX_HEADERS_CAPI_DIR}/CustomStorage.h"
  "${SIDX_HEADERS_CAPI_DIR}/DataStream.h"
  "${SIDX_HEADERS_CAPI_DIR}/Error.h"
  "${SIDX_HEADERS_CAPI_DIR}/IdVisitor.h"
  "${SIDX_HEADERS_CAPI_DIR}/Index.h"
  "${SIDX_HEADERS_CAPI_DIR}/LeafQuery.h"
  "${SIDX_HEADERS_CAPI_DIR}/ObjVisitor.h"
  "${SIDX_HEADERS_CAPI_DIR}/sidx_api.h"
  "${SIDX_HEADERS_CAPI_DIR}/sidx_config.h"
  "${SIDX_HEADERS_CAPI_DIR}/sidx_impl.h"
  "${SIDX_HEADERS_CAPI_DIR}/Utility.h"
)
list (APPEND SIDX_HPP ${SIDX_CAPI_HPP} )

set(SIDX_CAPI_CPP
  "${SIDX_CAPI_DIR}/BoundsQuery.cc"
  "${SIDX_CAPI_DIR}/CountVisitor.cc"
  "${SIDX_CAPI_DIR}/CustomStorage.cc"
  "${SIDX_CAPI_DIR}/DataStream.cc"
  "${SIDX_CAPI_DIR}/Error.cc"
  "${SIDX_CAPI_DIR}/IdVisitor.cc"
  "${SIDX_CAPI_DIR}/Index.cc"
  "${SIDX_CAPI_DIR}/LeafQuery.cc"
  "${SIDX_CAPI_DIR}/ObjVisitor.cc"
  "${SIDX_CAPI_DIR}/sidx_api.cc"
  "${SIDX_CAPI_DIR}/Utility.cc"
)


set(SIDX_SPATIALINDEX_CPP
  "${SIDX_SRC_DIR}/spatialindex/LineSegment.cc"
  "${SIDX_SRC_DIR}/spatialindex/MovingPoint.cc"
  "${SIDX_SRC_DIR}/spatialindex/MovingRegion.cc"
  "${SIDX_SRC_DIR}/spatialindex/Point.cc"
  "${SIDX_SRC_DIR}/spatialindex/Region.cc"
  "${SIDX_SRC_DIR}/spatialindex/SpatialIndexImpl.cc"
  "${SIDX_SRC_DIR}/spatialindex/TimePoint.cc"
  "${SIDX_SRC_DIR}/spatialindex/TimeRegion.cc"
)
list (APPEND SIDX_CPP ${SIDX_SPATIALINDEX_CPP} )

set(SIDX_MVRTREE_CPP
  "${SIDX_SRC_DIR}/mvrtree/Index.cc"
  "${SIDX_SRC_DIR}/mvrtree/Index.h"
  "${SIDX_SRC_DIR}/mvrtree/Leaf.cc"
  "${SIDX_SRC_DIR}/mvrtree/Leaf.h"
  "${SIDX_SRC_DIR}/mvrtree/MVRTree.cc"
  "${SIDX_SRC_DIR}/mvrtree/MVRTree.h"
  "${SIDX_SRC_DIR}/mvrtree/Node.cc"
  "${SIDX_SRC_DIR}/mvrtree/Node.h"
  "${SIDX_SRC_DIR}/mvrtree/PointerPoolNode.h"
  "${SIDX_SRC_DIR}/mvrtree/Statistics.cc"
  "${SIDX_SRC_DIR}/mvrtree/Statistics.h"
)
list (APPEND SIDX_CPP ${SIDX_MVRTREE_CPP})

set(SIDX_RTREE_CPP
  "${SIDX_SRC_DIR}/rtree/BulkLoader.cc"
  "${SIDX_SRC_DIR}/rtree/BulkLoader.h"
  "${SIDX_SRC_DIR}/rtree/Index.cc"
  "${SIDX_SRC_DIR}/rtree/Index.h"
  "${SIDX_SRC_DIR}/rtree/Leaf.cc"
  "${SIDX_SRC_DIR}/rtree/Leaf.h"
  "${SIDX_SRC_DIR}/rtree/Node.cc"
  "${SIDX_SRC_DIR}/rtree/Node.h"
  "${SIDX_SRC_DIR}/rtree/PointerPoolNode.h"
  "${SIDX_SRC_DIR}/rtree/RTree.cc"
  "${SIDX_SRC_DIR}/rtree/RTree.h"
  "${SIDX_SRC_DIR}/rtree/Statistics.cc"
  "${SIDX_SRC_DIR}/rtree/Statistics.h"
)
list (APPEND SIDX_CPP ${SIDX_RTREE_CPP})

set(SIDX_STORAGEMANAGER_CPP
  "${SIDX_SRC_DIR}/storagemanager/Buffer.cc"
  "${SIDX_SRC_DIR}/storagemanager/DiskStorageManager.cc"
  "${SIDX_SRC_DIR}/storagemanager/DiskStorageManager.h"
  "${SIDX_SRC_DIR}/storagemanager/MemoryStorageManager.cc"
  "${SIDX_SRC_DIR}/storagemanager/MemoryStorageManager.h"
  "${SIDX_SRC_DIR}/storagemanager/RandomEvictionsBuffer.cc"
  "${SIDX_SRC_DIR}/storagemanager/RandomEvictionsBuffer.h"
)
list (APPEND SIDX_CPP ${SIDX_STORAGEMANAGER_CPP})

set(SIDX_RAND48 )

if (NOT HAVE_SRAND48)
    set(SIDX_RAND48 "${SIDX_SRC_DIR}/tools/rand48.cc")
endif()

set(SIDX_TOOLS_CPP
  ${SIDX_RAND48}
  "${SIDX_SRC_DIR}/tools/Tools.cc"
)
list (APPEND SIDX_CPP ${SIDX_TOOLS_CPP})

set(SIDX_TOOLS_CPP
  "${SIDX_SRC_DIR}/tprtree/Index.cc"
  "${SIDX_SRC_DIR}/tprtree/Index.h"
  "${SIDX_SRC_DIR}/tprtree/Leaf.cc"
  "${SIDX_SRC_DIR}/tprtree/Leaf.h"
  "${SIDX_SRC_DIR}/tprtree/Node.cc"
  "${SIDX_SRC_DIR}/tprtree/Node.h"
  "${SIDX_SRC_DIR}/tprtree/PointerPoolNode.h"
  "${SIDX_SRC_DIR}/tprtree/Statistics.cc"
  "${SIDX_SRC_DIR}/tprtree/Statistics.h"
  "${SIDX_SRC_DIR}/tprtree/TPRTree.cc"
  "${SIDX_SRC_DIR}/tprtree/TPRTree.h"
)
list (APPEND SIDX_CPP ${SIDX_TOOLS_CPP} )
#
# Group source files for IDE source explorers (e.g. Visual Studio)
#

source_group("CMake Files" FILES CMakeLists.txt)

source_group("Header Files" FILES ${SIDX_BASE_HPP})
source_group("C API Header Files" FILES ${SIDX_CAPI_HPP})

source_group("Source Files" FILES ${SIDX_BASE_CPP})
source_group("C API Source Files" FILES ${SIDX_CAPI_CPP})


# Standard include directory of SIDX library
include_directories(../include)

set (APPS_CPP_DEPENDENCIES "${SIDX_LIB_NAME}" CACHE INTERNAL "libraries to link")

###############################################################################
# Targets settings

set(SIDX_SOURCES
  ${SIDX_HPP}
  ${SIDX_CPP})

# NOTE:
# This hack is required to correctly link static into shared library.
# Such practice is not recommended as not portable, instead each library,
# static and shared should be built from sources separately.
#if(UNIX)
#  add_definitions("-fPIC")
#endif()

if(WIN32)
    add_definitions("-DSIDX_DLL_EXPORT=1")
if (NOT WITH_STATIC_LASZIP)
    add_definitions("-DSIDX_DLL_IMPORT=1")
endif()
endif()

add_library(${SIDX_LIB_NAME} SHARED ${SIDX_SOURCES})

add_library(${SIDX_C_LIB_NAME} SHARED ${SIDX_CAPI_CPP})

target_link_libraries(${SIDX_C_LIB_NAME}
  ${SIDX_LIB_NAME}
)



set_target_properties(${SIDX_LIB_NAME}
    PROPERTIES VERSION "${SIDX_LIB_VERSION}"
               SOVERSION "${SIDX_LIB_SOVERSION}"  )

set_target_properties(${SIDX_C_LIB_NAME}
    PROPERTIES VERSION "${SIDX_LIB_VERSION}"
               SOVERSION "${SIDX_LIB_SOVERSION}" )



if (APPLE)
  set_target_properties(
    ${SIDX_LIB_NAME}
    PROPERTIES
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib" BUILD_WITH_INSTALL_RPATH OFF)

  set_target_properties(
    ${SIDX_C_LIB_NAME}
    PROPERTIES
    INSTALL_NAME_DIR "${CMAKE_INSTALL_PREFIX}/lib" BUILD_WITH_INSTALL_RPATH OFF)
endif()

###############################################################################
# Targets installation

install(TARGETS ${SIDX_LIB_NAME} ${SIDX_C_LIB_NAME}
  RUNTIME DESTINATION ${SIDX_BIN_DIR}
  LIBRARY DESTINATION ${SIDX_LIB_DIR}
  ARCHIVE DESTINATION ${SIDX_LIB_DIR})

install(DIRECTORY ${SIDX_HEADERS_DIR}
  DESTINATION include/spatialindex
  FILES_MATCHING PATTERN "*.h" PATTERN "*.hpp")

=== debian/changelog ===
spatialindex (1.8.5-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Jun 2017 19:02:27 +0200

spatialindex (1.8.5-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Enable bindnow hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 17 Apr 2016 18:29:10 +0200

spatialindex (1.8.5-3) unstable; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Aug 2015 12:51:17 +0200

spatialindex (1.8.5-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 12:42:16 +0200

spatialindex (1.8.5-2~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Replace uppercase RC with lowercase rc in uversionmangle.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 02 Aug 2015 16:53:22 +0200

spatialindex (1.8.5-2~exp1) experimental; urgency=medium

  * Append v5 to library package names for GCC 5 transition.
  * Drop SOVERSION from -dbg package name.
  * Update symbols for amd64 with GCC 5.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2015 17:24:45 +0200

spatialindex (1.8.5-1) unstable; urgency=medium

  * Use multi-line uscan options in watch file.
  * Update copyright years for Howard Butler.
  * Enable parallel builds.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Jul 2015 11:26:02 +0200

spatialindex (1.8.5-1~exp2) experimental; urgency=medium

  * Add upstream metadata.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update symbols for other architectures.
  * Update my email to @debian.org address.
  * Group copyright holders by license in copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 23:13:51 +0200

spatialindex (1.8.5-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Set experimental branch in Vcs-Git and gbp.conf.
  * Drop soversion.patch, applied upstream.
  * Update copyright file for autotools files.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 08 Nov 2014 19:25:21 +0100

spatialindex (1.8.4-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add patch to fix VERSION and SOVERSION for CMake build.
  * Update package names for SONAME bump.
  * Update symbols for amd64.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 11 Oct 2014 12:41:03 +0200

spatialindex (1.8.1-3) unstable; urgency=medium

  * Add gbp.conf to use pristine-tar by default.
  * Drop lintian override for debian-watch-may-check-gpg-signature,
    shouldn't override pedantic tags.
  * Update pkgconfig.patch to not include build flags.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 28 Sep 2014 18:57:08 +0200

=== debian/control ===
Source: spatialindex
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               dh-autoreconf,
               pkg-kde-tools
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/libspatialindex.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/libspatialindex.git
Homepage: http://libspatialindex.github.io/

Package: libspatialindex4v5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libspatialindex4 (<< 1.8.5-2)
Replaces: libspatialindex4 (<< 1.8.5-2)
Description: General framework for developing spatial indices
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library.

Package: libspatialindex-c4v5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libspatialindex-c4 (<< 1.8.5-2)
Replaces: libspatialindex-c4 (<< 1.8.5-2)
Description: General framework for developing spatial indices - C library
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library for C.

Package: libspatialindex-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libspatialindex4v5 (= ${binary:Version}),
         libspatialindex-c4v5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Description: General framework for developing spatial indices - development files
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the development files to build third
 parties programs.

Package: libspatialindex-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libspatialindex4v5 (= ${binary:Version}),
         libspatialindex-c4v5 (= ${binary:Version}),
         ${misc:Depends}
Breaks: libspatialindex4-dbg (<< 1.8.5-2)
Replaces: libspatialindex4-dbg (<< 1.8.5-2)
Description: General framework for developing spatial indices - debugging symbols
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains debugging symbols for the libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --with autoreconf,pkgkde_symbolshelper --parallel

override_dh_install:
	$(RM) $(CURDIR)/debian/tmp/usr/lib/*/*.la

	dh_install --autodest --list-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

override_dh_strip:
	dh_strip --dbg-package=libspatialindex-dbg

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
http://download.osgeo.org/libspatialindex/ \
spatialindex(?:-src)?-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## spatialindex 1.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 # (based originally on the libLAS files copyright Mateusz Loskot)
 
-cmake_minimum_required(VERSION 2.6.0)
+cmake_minimum_required(VERSION 2.8.4)
 project(spatialindex)
 
 #------------------------------------------------------------------------------
@@ -18,6 +18,8 @@
 # Path to additional CMake modules
 set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
+cmake_policy(SET CMP0054 NEW) # Make string comparison behave like you'd expect
+
 if (CMAKE_MAJOR_VERSION GREATER 2)
     cmake_policy(SET CMP0042 OLD) # osx rpath
 endif()
@@ -26,13 +28,19 @@
 #------------------------------------------------------------------------------
 
 SET(SIDX_VERSION_MAJOR "1")
-SET(SIDX_VERSION_MINOR "8")
-SET(SIDX_VERSION_PATCH "5")
-SET(SIDX_LIB_VERSION "4.1.0")
-SET(SIDX_LIB_SOVERSION "4")
+SET(SIDX_VERSION_MINOR "9")
+SET(SIDX_VERSION_PATCH "0")
+SET(SIDX_LIB_VERSION "5.0.0")
+SET(SIDX_LIB_SOVERSION "5")
 
 
 set(SIDX_VERSION_STRING "${SIDX_VERSION_MAJOR}.${SIDX_VERSION_MINOR}.${SIDX_VERSION_PATCH}")
+
+#------------------------------------------------------------------------------
+# libspatialindex general cmake options
+#------------------------------------------------------------------------------
+
+option(SIDX_BUILD_TESTS "Enables integrated test suites" ON)
 
 
 # Name of C++ library
@@ -42,15 +50,13 @@
 
 if(WIN32)
   if (MSVC)
-    if (MSVC80 OR MSVC90 OR MSVC10 OR MSVC11 OR MSVC12 OR MSVC13)
-        if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-            set( SIDX_LIB_NAME "spatialindex-64" )
-            set( SIDX_C_LIB_NAME "spatialindex_c-64" )
-        else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-            set( SIDX_LIB_NAME "spatialindex-32"  )
-            set( SIDX_C_LIB_NAME "spatialindex_c-32"  )
-        endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
-    endif()
+	if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
+		set( SIDX_LIB_NAME "spatialindex-64" )
+		set( SIDX_C_LIB_NAME "spatialindex_c-64" )
+	else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
+		set( SIDX_LIB_NAME "spatialindex-32"  )
+		set( SIDX_C_LIB_NAME "spatialindex_c-32"  )
+	endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
   endif()
 endif()
 
@@ -65,9 +71,8 @@
 check_function_exists(memcpy HAVE_MEMCPY)
 check_function_exists(bcopy HAVE_BCOPY)
 
+
 INCLUDE (CheckIncludeFiles)
-check_include_files(pthread.h HAVE_PTHREAD_H)
-
 
 if (HAVE_SRAND48)
     add_definitions(-DHAVE_SRAND48=1)
@@ -131,16 +136,13 @@
 
 if(WIN32)
   if (MSVC)
-    if (MSVC80 OR MSVC90 OR MSVC10 OR MSVC11 OR MSVC12 OR MSVC13)
-      add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
-      add_definitions(-D_CRT_SECURE_NO_WARNINGS)
-      add_definitions(-D_CRT_NONSTDC_NO_WARNING)
-      add_definitions(-D_SCL_SECURE_NO_WARNINGS)
-      add_definitions(-DSPATIALINDEX_CREATE_DLL=1)
-      add_definitions(-DNOMINMAX)
-
-      set(SIDX_COMPILER_MSVC 1)
-    endif()
+    add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
+    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
+    add_definitions(-D_CRT_NONSTDC_NO_WARNING)
+    add_definitions(-D_SCL_SECURE_NO_WARNINGS)
+    add_definitions(-DSPATIALINDEX_CREATE_DLL=1)
+    add_definitions(-DNOMINMAX)
+    set(CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} /wd4068")
 
     if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
       string(REGEX REPLACE "/W[0-4]" "/W4"
@@ -150,11 +152,6 @@
     endif()
   endif()
 
-  set(CMAKE_INCLUDE_PATH c:/osgeo4w/include;$ENV{CMAKE_INCLUDE_PATH})
-  set(CMAKE_LIBRARY_PATH c:/osgeo4w/lib;$ENV{CMAKE_LIBRARY_PATH})
-
-  set(SIDX_OS_WIN32 1)
-
 else()
   # not WIN32
 
@@ -166,14 +163,14 @@
   if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
 
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SIDX_COMMON_CXX_FLAGS}")
-    if (CMAKE_COMPILER_IS_GNUCXX)
-      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++98 -ansi")
+    if (CMAKE_COMPILER_IS_GNUCXX AND NOT CMAKE_SYSTEM_NAME STREQUAL "CYGWIN")
+      set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
     endif()
 
     set(SIDX_COMPILER_GCC 1)
 
   elseif("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER}" MATCHES "clang")
-    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${SIDX_COMMON_CXX_FLAGS}")
+    set(CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS} ${SIDX_COMMON_CXX_FLAGS}")
     set(SIDX_COMPILER_CLANG 1)
   endif()
 endif(WIN32)
@@ -187,6 +184,8 @@
   set(SO_EXT so)
 endif(APPLE)
 
+
+enable_testing()
 
 #------------------------------------------------------------------------------
 # installation path settings
@@ -236,5 +235,56 @@
 #------------------------------------------------------------------------------
 
 add_subdirectory(src)
-add_subdirectory(test)
-
+
+if(SIDX_BUILD_TESTS)
+  add_subdirectory(test)
+endif()
+
+#------------------------------------------------------------------------------
+# CPACK controls
+#------------------------------------------------------------------------------
+
+SET(CPACK_PACKAGE_VERSION_MAJOR ${PDAL_VERSION_MAJOR})
+SET(CPACK_PACKAGE_VERSION_MINOR ${PDAL_VERSION_MINOR})
+SET(CPACK_PACKAGE_VERSION_PATCH ${PDAL_VERSION_MINOR})
+SET(CPACK_PACKAGE_NAME "libspatialindex")
+
+SET(CPACK_SOURCE_GENERATOR "TBZ2;TGZ")
+SET(CPACK_PACKAGE_VENDOR "libspatialindex Development Team")
+SET(CPACK_RESOURCE_FILE_LICENSE    "${PROJECT_SOURCE_DIR}/COPYING")
+
+set(CPACK_SOURCE_PACKAGE_FILE_NAME
+    "${CMAKE_PROJECT_NAME}-${SIDX_VERSION_STRING}-src")
+
+set(CPACK_SOURCE_IGNORE_FILES
+"/\\\\.gitattributes;/\\\\.vagrant;/\\\\.DS_Store;/CVS/;/\\\\.git/;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
+
+list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeScripts/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeCache.txt")
+list(APPEND CPACK_SOURCE_IGNORE_FILES ".xcodeproj")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "build.make")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "_CPack_Packages")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "cmake_install.cmake")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "Testing")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "PDAL.build/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/bin/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/lib/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/build/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "Makefile")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeFiles")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "CTestTestfile.cmake")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/test/data/local/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/test/unit/TestConfig.hpp$")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/doc/doxygen/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/doc/build/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/doc/presentations/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/doc/_static/logo/dongle/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "/cmake/examples/")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "pdal_features.hpp$")
+list(APPEND CPACK_SOURCE_IGNORE_FILES "package.sh")
+list(APPEND CPACK_SOURCE_IGNORE_FILES ".gz2")
+list(APPEND CPACK_SOURCE_IGNORE_FILES ".bz2")
+
+include(CPack)
+add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
+

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
   "${SIDX_CAPI_DIR}/sidx_api.cc"
   "${SIDX_CAPI_DIR}/Utility.cc"
 )
-
+list (APPEND SIDX_CPP ${SIDX_CAPI_CPP} )
 
 set(SIDX_SPATIALINDEX_CPP
   "${SIDX_SRC_DIR}/spatialindex/LineSegment.cc"

=== test/gtest/CMakeLists.txt ===
if(MSVC_VERSION GREATER_EQUAL 1900)
   add_definitions(-D_SILENCE_TR1_NAMESPACE_DEPRECATION_WARNING)
endif()

add_subdirectory(gtest-1.7.0)
include_directories(./gtest-1.7.0/include)

set (SOURCES
    test.h
    sidx_api_test.h
    main.cc )

set (TESTNAME libsidxtest)
add_executable(${TESTNAME} ${SOURCES})
target_link_libraries(${TESTNAME} ${SIDX_C_LIB_NAME} gtest)

add_test(${TESTNAME} "${PROJECT_BINARY_DIR}/bin/${TESTNAME}" "${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/..")

=== test/gtest/gtest-1.7.0/CMakeLists.txt ===
########################################################################
# CMake build script for Google Test.
#
# To run the tests for Google Test itself on Linux, use 'make test' or
# ctest.  You can select which tests to run using 'ctest -R regex'.
# For more options, run 'ctest --help'.

# BUILD_SHARED_LIBS is a standard CMake variable, but we declare it here to
# make it prominent in the GUI.
option(BUILD_SHARED_LIBS "Build shared libraries (DLLs)." OFF)

# When other libraries are using a shared version of runtime libraries,
# Google Test also has to use one.
option(
  gtest_force_shared_crt
  "Use shared (DLL) run-time lib even when Google Test is built as static lib."
  ON)

option(gtest_build_tests "Build all of gtest's own tests." OFF)

option(gtest_build_samples "Build gtest's sample programs." OFF)

option(gtest_disable_pthreads "Disable uses of pthreads in gtest." OFF)

# Defines pre_project_set_up_hermetic_build() and set_up_hermetic_build().
include(cmake/hermetic_build.cmake OPTIONAL)

if (COMMAND pre_project_set_up_hermetic_build)
  pre_project_set_up_hermetic_build()
endif()

########################################################################
#
# Project-wide settings

# Name of the project.
#
# CMake files in this project can refer to the root source directory
# as ${gtest_SOURCE_DIR} and to the root binary directory as
# ${gtest_BINARY_DIR}.
# Language "C" is required for find_package(Threads).
project(gtest CXX C)
cmake_minimum_required(VERSION 2.6.2)

if (COMMAND set_up_hermetic_build)
  set_up_hermetic_build()
endif()

# Define helper functions and macros used by Google Test.
include(cmake/internal_utils.cmake)

config_compiler_and_linker()  # Defined in internal_utils.cmake.

# Where Google Test's .h files can be found.
include_directories(
  ${gtest_SOURCE_DIR}/include
  ${gtest_SOURCE_DIR})

# Where Google Test's libraries can be found.
link_directories(${gtest_BINARY_DIR}/src)

########################################################################
#
# Defines the gtest & gtest_main libraries.  User tests should link
# with one of them.

# Google Test libraries.  We build them using more strict warnings than what
# are used for other targets, to ensure that gtest can be compiled by a user
# aggressive about warnings.
cxx_library(gtest "${cxx_strict}" src/gtest-all.cc)
cxx_library(gtest_main "${cxx_strict}" src/gtest_main.cc)
target_link_libraries(gtest_main gtest)

########################################################################
#
# Samples on how to link user tests with gtest or gtest_main.
#
# They are not built by default.  To build them, set the
# gtest_build_samples option to ON.  You can do it by running ccmake
# or specifying the -Dgtest_build_samples=ON flag when running cmake.

if (gtest_build_samples)
  cxx_executable(sample1_unittest samples gtest_main samples/sample1.cc)
  cxx_executable(sample2_unittest samples gtest_main samples/sample2.cc)
  cxx_executable(sample3_unittest samples gtest_main)
  cxx_executable(sample4_unittest samples gtest_main samples/sample4.cc)
  cxx_executable(sample5_unittest samples gtest_main samples/sample1.cc)
  cxx_executable(sample6_unittest samples gtest_main)
  cxx_executable(sample7_unittest samples gtest_main)
  cxx_executable(sample8_unittest samples gtest_main)
  cxx_executable(sample9_unittest samples gtest)
  cxx_executable(sample10_unittest samples gtest)
endif()

########################################################################
#
# Google Test's own tests.
#
# You can skip this section if you aren't interested in testing
# Google Test itself.
#
# The tests are not built by default.  To build them, set the
# gtest_build_tests option to ON.  You can do it by running ccmake
# or specifying the -Dgtest_build_tests=ON flag when running cmake.

if (gtest_build_tests)
  # This must be set in the root directory for the tests to be run by
  # 'make test' or ctest.
  enable_testing()

  ############################################################
  # C++ tests built with standard compiler flags.

  cxx_test(gtest-death-test_test gtest_main)
  cxx_test(gtest_environment_test gtest)
  cxx_test(gtest-filepath_test gtest_main)
  cxx_test(gtest-linked_ptr_test gtest_main)
  cxx_test(gtest-listener_test gtest_main)
  cxx_test(gtest_main_unittest gtest_main)
  cxx_test(gtest-message_test gtest_main)
  cxx_test(gtest_no_test_unittest gtest)
  cxx_test(gtest-options_test gtest_main)
  cxx_test(gtest-param-test_test gtest
    test/gtest-param-test2_test.cc)
  cxx_test(gtest-port_test gtest_main)
  cxx_test(gtest_pred_impl_unittest gtest_main)
  cxx_test(gtest_premature_exit_test gtest
    test/gtest_premature_exit_test.cc)
  cxx_test(gtest-printers_test gtest_main)
  cxx_test(gtest_prod_test gtest_main
    test/production.cc)
  cxx_test(gtest_repeat_test gtest)
  cxx_test(gtest_sole_header_test gtest_main)
  cxx_test(gtest_stress_test gtest)
  cxx_test(gtest-test-part_test gtest_main)
  cxx_test(gtest_throw_on_failure_ex_test gtest)
  cxx_test(gtest-typed-test_test gtest_main
    test/gtest-typed-test2_test.cc)
  cxx_test(gtest_unittest gtest_main)
  cxx_test(gtest-unittest-api_test gtest)

  ############################################################
  # C++ tests built with non-standard compiler flags.

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_library(gtest_no_exception "${cxx_no_exception}"
      src/gtest-all.cc)
    cxx_library(gtest_main_no_exception "${cxx_no_exception}"
      src/gtest-all.cc src/gtest_main.cc)
  endif()
  cxx_library(gtest_main_no_rtti "${cxx_no_rtti}"
    src/gtest-all.cc src/gtest_main.cc)

  cxx_test_with_flags(gtest-death-test_ex_nocatch_test
    "${cxx_exception} -DGTEST_ENABLE_CATCH_EXCEPTIONS_=0"
    gtest test/gtest-death-test_ex_test.cc)
  cxx_test_with_flags(gtest-death-test_ex_catch_test
    "${cxx_exception} -DGTEST_ENABLE_CATCH_EXCEPTIONS_=1"
    gtest test/gtest-death-test_ex_test.cc)

  cxx_test_with_flags(gtest_no_rtti_unittest "${cxx_no_rtti}"
    gtest_main_no_rtti test/gtest_unittest.cc)

  cxx_shared_library(gtest_dll "${cxx_default}"
    src/gtest-all.cc src/gtest_main.cc)

  cxx_executable_with_flags(gtest_dll_test_ "${cxx_default}"
    gtest_dll test/gtest_all_test.cc)
  set_target_properties(gtest_dll_test_
                        PROPERTIES
                        COMPILE_DEFINITIONS "GTEST_LINKED_AS_SHARED_LIBRARY=1")

  if (NOT MSVC OR NOT MSVC_VERSION EQUAL 1600)
    # The C++ Standard specifies tuple_element<int, class>.
    # Yet MSVC 10's <utility> declares tuple_element<size_t, class>.
    # That declaration conflicts with our own standard-conforming
    # tuple implementation.  Therefore using our own tuple with
    # MSVC 10 doesn't compile.
    cxx_library(gtest_main_use_own_tuple "${cxx_use_own_tuple}"
      src/gtest-all.cc src/gtest_main.cc)

    cxx_test_with_flags(gtest-tuple_test "${cxx_use_own_tuple}"
      gtest_main_use_own_tuple test/gtest-tuple_test.cc)

    cxx_test_with_flags(gtest_use_own_tuple_test "${cxx_use_own_tuple}"
      gtest_main_use_own_tuple
      test/gtest-param-test_test.cc test/gtest-param-test2_test.cc)
  endif()

  ############################################################
  # Python tests.

  cxx_executable(gtest_break_on_failure_unittest_ test gtest)
  py_test(gtest_break_on_failure_unittest)

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_executable_with_flags(
      gtest_catch_exceptions_no_ex_test_
      "${cxx_no_exception}"
      gtest_main_no_exception
      test/gtest_catch_exceptions_test_.cc)
  endif()

  cxx_executable_with_flags(
    gtest_catch_exceptions_ex_test_
    "${cxx_exception}"
    gtest_main
    test/gtest_catch_exceptions_test_.cc)
  py_test(gtest_catch_exceptions_test)

  cxx_executable(gtest_color_test_ test gtest)
  py_test(gtest_color_test)

  cxx_executable(gtest_env_var_test_ test gtest)
  py_test(gtest_env_var_test)

  cxx_executable(gtest_filter_unittest_ test gtest)
  py_test(gtest_filter_unittest)

  cxx_executable(gtest_help_test_ test gtest_main)
  py_test(gtest_help_test)

  cxx_executable(gtest_list_tests_unittest_ test gtest)
  py_test(gtest_list_tests_unittest)

  cxx_executable(gtest_output_test_ test gtest)
  py_test(gtest_output_test)

  cxx_executable(gtest_shuffle_test_ test gtest)
  py_test(gtest_shuffle_test)

  # MSVC 7.1 does not support STL with exceptions disabled.
  if (NOT MSVC OR MSVC_VERSION GREATER 1310)
    cxx_executable(gtest_throw_on_failure_test_ test gtest_no_exception)
    set_target_properties(gtest_throw_on_failure_test_
      PROPERTIES
      COMPILE_FLAGS "${cxx_no_exception}")
    py_test(gtest_throw_on_failure_test)
  endif()

  cxx_executable(gtest_uninitialized_test_ test gtest)
  py_test(gtest_uninitialized_test)

  cxx_executable(gtest_xml_outfile1_test_ test gtest_main)
  cxx_executable(gtest_xml_outfile2_test_ test gtest_main)
  py_test(gtest_xml_outfiles_test)

  cxx_executable(gtest_xml_output_unittest_ test gtest)
  py_test(gtest_xml_output_unittest)
endif()

=== debian/changelog ===
spatialindex (1.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop Breaks/Replaces on non-v5 packages, no longer required.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Feb 2019 17:28:57 +0100

spatialindex (1.9.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.3.0, no changes.
  * Add Build-Depends-Package field to symbols files.
  * Update watch file to use GitHub releases.
  * Update copyright file, changes:
    - Add Norman Barker to copyright holders
    - Add license & copyright for gtest sources
    - Update Upstream-Contact & Source URL
  * Update Homepage URL to use libspatialindex.org.
  * Rename library packages for SONAME bump.
  * Drop patches, applied upstream.
  * Add lintian overrides for hardening-no-fortify-functions.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 06 Feb 2019 07:13:41 +0100

spatialindex (1.8.5-7) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jul 2018 20:47:30 +0200

spatialindex (1.8.5-6) unstable; urgency=medium

  * Change priority from extra to optional.
  * Bump Standards-Version to 4.1.5, changes: priority.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Update symbols for other architectures.
  * Drop obsolete dbg package.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 18:56:52 +0200

=== debian/control ===
Source: spatialindex
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9.20160114),
               autotools-dev,
               dh-autoreconf,
               pkg-kde-tools
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/libspatialindex
Vcs-Git: https://salsa.debian.org/debian-gis-team/libspatialindex.git
Homepage: https://libspatialindex.org/

Package: libspatialindex5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: General framework for developing spatial indices
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library.

Package: libspatialindex-c5
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: General framework for developing spatial indices - C library
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the SpatialIndex shared library for C.

Package: libspatialindex-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libspatialindex5 (= ${binary:Version}),
         libspatialindex-c5 (= ${binary:Version}),
         ${misc:Depends}
Recommends: pkg-config
Description: General framework for developing spatial indices - development files
 Spatialindex is a C++ library that provides a framework for
 developing spatial indices. Currently it defines generic interfaces,
 provides simple main memory and disk based storage managers and a
 robust implementation of an R*-tree, an MVR-tree and a TPR-tree.
 .
 This package contains the development files to build third
 parties programs.
